<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  name: 'EducationPricing',
  props: {
    data: {
      type: Object,
      required: true,
      default: null,
    },
  },
});
</script>

<template>
  <SlpContainer class="slp-mb-96">
    <SlpRow
      v-if="data.header"
      class="slp-flex-column slp-align-items-center slp-mb-64 slp-text-align-center"
      :data-aos="data.header_animation"
      :data-aos-duration="data.header_animation_duration"
    >
      <SlpTypography tag="h2" variant="heading3" class="slp-mb-8">{{
        data.header
      }}</SlpTypography>
      <SlpTypography tag="p" variant="body1">{{ data.text }}</SlpTypography>
    </SlpRow>
    <SlpRow
      class="slp-justify-content-center education-pricing"
      :data-aos="data.aos_animation"
      :data-aos-duration="data.aos_duration"
    >
      <div class="education-pricing__plan education-pricing__plan-free">
        <div class="education-pricing__plan-inner-wrapper">
          <div class="education-pricing__content">
            <SlpTypography tag="h2" variant="heading3">{{
              data.plan_free.title
            }}</SlpTypography>
            <SlpTypography tag="p" variant="body1">{{
              data.plan_free.description
            }}</SlpTypography>
          </div>
          <hr />
          <div class="education-pricing__features">
            <ul>
              <li v-for="feature in data.plan_free.features" :key="feature">
                <SlpIcon
                  name="check"
                  class="slp-mr-8"
                  variant="product"
                  alt="Check icon"
                  size="sm"
                />
                <SlpTypography varian="body1">{{ feature }}</SlpTypography>
              </li>
            </ul>
          </div>
          <a
            :href="data.plan_free.link.href"
            :data-ga-name="data.plan_free.link.data_ga_name"
            :data-ga-location="data.plan_free.link.data_ga_location"
          >
            {{ data.plan_free.link.text }}
          </a>
        </div>
        <p v-if="data.plan_free.footnote" class="education-pricing__footnote">
          {{ data.plan_free.footnote }}
        </p>
      </div>
      <div
        class="education-pricing__plan education-pricing__plan-silver-premium"
      >
        <div class="education-pricing__plan-inner-wrapper">
          <div class="education-pricing__content">
            <nuxt-img
              src="/nuxt-images/pricing/particles-premium.svg"
              alt="Particles Graphic"
              loading="lazy"
            />
            <SlpTypography tag="h2" variant="heading3">{{
              data.plan_silver_premium.title
            }}</SlpTypography>
            <SlpTypography tag="p" variant="body1">{{
              data.plan_silver_premium.description
            }}</SlpTypography>
          </div>
          <hr />
          <div class="education-pricing__features">
            <ul>
              <li
                v-for="feature in data.plan_silver_premium.features"
                :key="feature"
              >
                <SlpIcon
                  name="check"
                  class="slp-mr-8"
                  variant="product"
                  alt="Check icon"
                  size="sm"
                />
                <SlpTypography varian="body1">{{ feature }}</SlpTypography>
              </li>
            </ul>
          </div>
          <SlpButton
            :href="data.plan_silver_premium.link.href"
            :data-ga-name="data.plan_silver_premium.link.data_ga_name"
            :data-ga-location="data.plan_silver_premium.link.data_ga_location"
          >
            {{ data.plan_silver_premium.link.text }}
          </SlpButton>
        </div>
        <p
          v-if="data.plan_silver_premium.footnote"
          class="education-pricing__footnote"
        >
          {{ data.plan_silver_premium.footnote }}
        </p>
      </div>
      <div
        class="education-pricing__plan education-pricing__plan-gold-ultimate"
      >
        <div class="education-pricing__plan-inner-wrapper">
          <div class="education-pricing__content">
            <SlpTypography tag="h2" variant="heading3">{{
              data.plan_gold_ultimate.title
            }}</SlpTypography>
            <SlpTypography tag="p" variant="body1">{{
              data.plan_gold_ultimate.description
            }}</SlpTypography>
          </div>
          <hr />
          <div class="education-pricing__features">
            <ul>
              <li
                v-for="feature in data.plan_gold_ultimate.features"
                :key="feature"
              >
                <SlpIcon
                  name="check"
                  class="slp-mr-8"
                  variant="product"
                  alt="Check icon"
                  size="sm"
                />
                <SlpTypography varian="body1">{{ feature }}</SlpTypography>
              </li>
            </ul>
          </div>
          <a
            :href="data.plan_gold_ultimate.link.href"
            :data-ga-name="data.plan_gold_ultimate.link.data_ga_name"
            :data-ga-location="data.plan_gold_ultimate.link.data_ga_location"
          >
            {{ data.plan_gold_ultimate.link.text }}
          </a>
        </div>
        <p
          v-if="data.plan_gold_ultimate.footnote"
          class="education-pricing__footnote"
        >
          {{ data.plan_gold_ultimate.footnote }}
        </p>
      </div>
    </SlpRow>
  </SlpContainer>
</template>

<style scoped lang="scss">
.education-pricing {
  display: flex;

  &__plan {
    width: 294px;
    text-align: center;
    user-select: none;
    margin-bottom: $spacing-24;
  }

  &__plan-inner-wrapper {
    background: white;
    padding: $spacing-32 $spacing-24;
    border-radius: 3px;
    border-style: solid;
    border-width: 10px 2px 2px;

    hr {
      border-style: solid;
      margin: 1.5rem auto 1.5rem;
    }
  }

  &__content {
    p {
      font-size: 16px;
    }
  }

  &__footnote {
    font-size: 12px;
    line-height: 20px;
    max-width: 70%;
    margin: 0.7rem auto 0;
  }

  &__features {
    margin-bottom: $spacing-32;

    ul {
      display: flex;
      flex-direction: column;
      align-items: flex-start;
    }

    li {
      display: flex;
      text-align: left;
      font-size: 16px;
    }
  }

  &__plan-free {
    .education-pricing__plan-inner-wrapper,
    hr {
      border-color: $color-accent-200;
    }
  }

  &__plan-silver-premium {
    position: relative;
    margin-top: $spacing-16;

    @media (min-width: $breakpoint-sm) {
      margin: -2rem -0.15rem auto;
    }

    .education-pricing__plan-inner-wrapper,
    hr {
      border-color: $color-primary-200;
    }
  }

  &__plan-gold-ultimate {
    .education-pricing__plan-inner-wrapper,
    hr {
      border-color: #52cdb7;
    }
  }

  &__plan-gold-ultimate,
  &__plan-free {
    a {
      color: $color-text-link-100;
      text-decoration: none;
      position: relative;

      &:after {
        content: '→';
        opacity: 0;
        transition: 0.25s;
      }

      &:hover:after {
        opacity: 1;
      }
    }
  }
}
</style>
